//
//  ArtworkAnimator.h
//  NowPlayingSaver
//
//  Created by Juri Pakaste on 19.9.09.
//  Copyright (c) 2009, Juri Pakaste. All rights reserved.
//  For licensing details see the file COPYING.
//

#import <Cocoa/Cocoa.h>


@interface ArtworkAnimator : NSObject

-(void)animateArtworkLayer:(CALayer*)layer toArtwork:(NSImage*)image;

#pragma mark Abstract methods

-(void)performArtworkAnimationInLayer:(CALayer*)layer toArtwork:(CGImageRef)image;

@end
