//
//  ArtworkCircleAnimator.h
//  NowPlayingSaver
//
//  Created by Juri Pakaste on 17.10.09.
//  Copyright (c) 2009, Juri Pakaste. All rights reserved.
//  For licensing details see the file COPYING.
//

#import <Cocoa/Cocoa.h>

#import "ArtworkAnimator.h"

typedef enum {
    kArtworkCircleClockwise,
    kArtworkCircleCounterClockwise,
} ArtworkCircleAnimatorDirection;

@interface ArtworkCircleAnimator : ArtworkAnimator {
@private
    ArtworkCircleAnimatorDirection mDirection;
}

-(id)initWithDirection:(ArtworkCircleAnimatorDirection)direction;

@end
