//
//  ArtworkFromSideAnimator.h
//  NowPlayingSaver
//
//  Created by Juri Pakaste on 10.10.09.
//  Copyright (c) 2009, Juri Pakaste. All rights reserved.
//  For licensing details see the file COPYING.
//

#import <Cocoa/Cocoa.h>

#import "ArtworkAnimator.h"

typedef enum {
    kArtworkFromSideLeft,
    kArtworkFromSideRight
} ArtworkFromSideDirection;

@interface ArtworkFromSideAnimator : ArtworkAnimator {
@private
    ArtworkFromSideDirection mDirection;
}

-(id)initWithDirection:(ArtworkFromSideDirection)direction;

@end
