//
//  ElementProvider.h
//  NowPlayingSaver
//
//  Created by Juri Pakaste on 13.10.09.
//  Copyright (c) 2009, Juri Pakaste. All rights reserved.
//  For licensing details see the file COPYING.
//

#import <Cocoa/Cocoa.h>


@interface ElementProvider : NSObject

@property (retain, nonatomic) NSArray* elements;

-(id)initWithElements:(NSArray*)elements;
-(id)element;

@end


#pragma mark -


@interface RandomElementProvider : ElementProvider
@end


#pragma mark -


@interface SequentialElementProvider : ElementProvider {
@private
    NSInteger mIndex;
}
@end
