//
//  NowPlayingSaverView.h
//  NowPlayingSaver
//
//  Created by Juri Pakaste on 13.9.09.
//  Copyright (c) 2009, Juri Pakaste. All rights reserved.
//  For licensing details see the file COPYING.
//

#import <ScreenSaver/ScreenSaver.h>

@class ElementProvider;
@class NowPlayingInfo;


@interface NowPlayingSaverView : ScreenSaverView

@property (retain, nonatomic) IBOutlet NSView* infoFrame;
@property (retain, nonatomic) IBOutlet NSImageView* albumArtView;
@property (retain, nonatomic) IBOutlet NSTextField* albumInfoView;
@property (retain, nonatomic) IBOutlet NSProgressIndicator* progressIndicator;

@property (retain, nonatomic) ElementProvider* elementProvider;

-(void)showFakeInfo:(NowPlayingInfo*)info;

@end


@interface NowPlayingInfo : NSObject

@property (retain, nonatomic) NSString* trackName;
@property (assign, nonatomic) NSInteger trackNumber;
@property (retain, nonatomic) NSString* albumName;
@property (retain, nonatomic) NSString* artistName;
@property (retain, nonatomic) NSString* albumArtistName;
@property (assign, nonatomic) NSInteger dbId;
@property (retain, nonatomic) NSImage* artwork;
@property (assign, nonatomic) NSInteger duration;
@property (assign, nonatomic) NSInteger position;

@end
